%define name gnome-pm
%define version 0.9.1
%define release 5mdk

Summary: Portfolio Manager is a program to manage portfolio and stock.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
# (fc) 0.9.1-5mdk fix compilation with latest gcc
Patch0: gnome-pm-0.9.1-gcc.patch.bz2
License: GPL
Group: Office
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gnome-libs-devel
URL: http://www.gnome.org/

%description
GnomePM is a small app that collects stock information from Yahoo!(c)
Finance, and presents it in a nice little list. It is intended to be
a replacement for the JPM(tm) provided by Yahoo!(c) in order to save
CPU, memory, and bandwidth usage. Yahoo!(c) does not provide support
for this program.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .gcc

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall gnomedatadir=$RPM_BUILD_ROOT%{_datadir} gnomepmbitmapsdir=$RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-pm


mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}):\
command="%{_bindir}/gnome-pm"\
title="Gnome-PM"\
longtitle="Finance management"\
needs="x11"\
section="Applications/Finances" \
icon="%{_datadir}/pixmaps/gnome-pm.png"
EOF

%post
%{update_menus}


%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README 
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/*
%{_libdir}/menu/*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/gnome-pm

%changelog
* Wed Feb 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-5mdk
- Patch0 : fix compilation with latest gcc
- Fix distlint error

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-4mdk
- Fix BuildRequires

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Rebuild

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- New office menu structure

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- v0.9.1

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- v0.8.3
- menu entry

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-3mdk
- BM

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-2mdk
- fix group

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.

